#
# spec file for package perl-YAML-Perl
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-YAML-Perl
Version:        0.02
Release:        18.5
License:        GPL-1.0+ or Artistic-1.0
%define cpan_name YAML-Perl
Summary:        Pure Perl YAML Implementation
Url:            http://search.cpan.org/dist/YAML-Perl/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/I/IN/INGY/YAML-Perl-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Error)
Requires:       perl(Error)
%{perl_requires}

%description
PyYAML is the most robust and correct YAML module for a dynamic language.
It is (obviously) written in/for Python. This module is a complete port of
PyYAML to Perl.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes README

%changelog
* Fri Nov 11 2011 coolo@suse.com
- use original tar
* Mon Apr  4 2011 coolo@novell.com
- initial package 0.02
  * created by cpanspec 1.78.03
